package electrosphere.game.data;

import electrosphere.game.data.creature.type.CreatureData;
import electrosphere.game.data.creature.type.CreatureDataValidator;
import electrosphere.game.data.creature.type.CreatureTypeLoader;

/**
 * Used to validate the config
 */
public class ConfigValidator {
    
    /**
     * Validates a config
     * @param config The config
     */
    public static void valdiate(Config config){
        //validate the creatures
        CreatureTypeLoader creatureTypeLoader = config.getCreatureTypeLoader();
        for(CreatureData creatureData : creatureTypeLoader.getCreatures()){
            CreatureDataValidator.validate(creatureData);
        }
    }

}
